DH_INSTALLMAN(1)

NOM
dh_installman - Installer les pages de manuel dans le répertoire de construction du paquet

SYNOPSIS
dh_installman [options_de_debhelper] [page-de-manuel ...]

DESCRIPTION
dh_installman est le programme de la suite debhelper chargé de l'installation des pages de manuel à l'emplacement correct dans le répertoire de construction du paquet. À partir de la liste des pages de manuel à installer, dh_installman examine la section indiquée à la ligne .TH ou .Dt de la page et en déduit la destination. Si la ligne .TH ou .Dt est correctement renseignée, les pages de manuel seront installées dans la bonne section avec le nom adéquat. Ce mécanisme fonctionne également pour les pages comportant des sous-sections, telles que 3perl, qui sera placée en man3 et portera l'extension .3perl. Si la ligne .TH ou .Dt est erronée ou absente, le programme peut faire une mauvaise déduction, basée sur l'extension du fichier.

dh_installman gère également les traductions de pages de manuel soit en cherchant des extensions telles que .ll.8 et ll_LL.8, soit en utilisant l'option --language. (NdT : « ll » représente le code langue sur deux caractères et « LL » la variante locale sur deux caractères également. Par exemple : fr_BE pour le français de Belgique.)

Si dh_installman installe une page de manuel dans la mauvaise section ou avec une extension erronée, c'est parce que la page de manuel possède une section comportant une ligne .TH ou .Dt erronée. Il suffit d'éditer la page de manuel et de corriger la section pour que dh_installman fonctionne correctement. Voir man(7) pour les précisions sur la section .TH et mdoc(7) pour la section .Dt. Si dh_installman installe une page de manuel dans un répertoire tel que /usr/share/man/pl/man1/ c'est parce que le programme possède un nom comme toto.pl et que dh_installman pense que la page de manuel est traduite en polonais (pl). Il suffit d'utiliser --language=C pour lever cette ambiguïté.

Après l'étape d'installation des pages de manuel, dh_installman vérifie si des pages de manuel, contenues dans les répertoires temporaires des paquets traités, contiennent des liens .so. Dans ce cas il les transforme en liens symboliques.

Également, dh_installman va regarder le contenu de la page de manuel pour déterminer l'encodage des caractères de chaque page de manuel et de les convertir en UTF-8. Si, pour une raison quelconque, cette reconnaissance n'est pas correcte, vous pouvez forcer l'encodage en utilisant une déclaration d'encodage. Consulter manconv(1) pour obtenir plus de détails.

FICHIERS

debian/paquet.manpages
    Liste les pages de manuel à installer.

OPTIONS

-A, --all
    Installe l'ensemble des fichiers indiqués sur la ligne de commande dans tous les paquets construits.

--language=ll
    Permet d'indiquer que les pages de manuel doivent être traitées comme étant écrites dans le langage indiqué par « ll ».

page-de-manuel ...
    Installe les pages de manuel indiquées dans le premier paquet traité (ou dans tous les paquets traités si -A est indiqué).

REMARQUES
Une ancienne version de ce programme, dh_installmanpages(1), est encore employée dans quelques paquets. Pour cette raison, l'ancienne version est encore incluse dans debhelper. Il est cependant déconseillé de l'employer en raison de son interface non intuitive et contradictoire. Il faut employer ce programme à la place.

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».